%define name	hostapd
%define version	0.6.7
%define subrel	2
%define release %mkrel 4

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://hostap.epitest.fi/hostapd/
Group:		System/Servers
Source0:	%{name}-%version.tar.gz
Source1:	%{name}.init
Source2:	%{name}-config-build
Patch0:		%{name}-config.patch
Summary:	Optional user space component for Host AP driver
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libopenssl-devel
BuildRequires:	madwifi-source libnl-devel
Requires(post):	rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper
Requires:	hostap-utils

%description
Hostapd is an optional user space component for Host AP driver. It adds 
more features to the basic IEEE 802.11 management included in the kernel 
driver: using external RADIUS authentication server for MAC address 
based access control, IEEE 802.1X Authenticator and dynamic WEP keying, 
RADIUS accounting. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .mdkconf 
pushd %{name}
cp %{SOURCE2} .config
popd

%build
pushd %{name}
%{__perl} -pi -e 's/CFLAGS =.*/CFLAGS = -MMD %{optflags}/' Makefile
%{__make} CC="%{__cc}" #CFLAGS="-MMD % {optflags}"
popd

%install
pushd %{name}
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}%{_initrddir}
install -m 755 %{name}		%{buildroot}%{_sbindir}
install -m 755 %{name}_cli	%{buildroot}%{_sbindir}
install -m 644 %{name}.conf	%{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.accept	%{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.deny	%{buildroot}%{_sysconfdir}/%{name}
install -m 755 %{SOURCE1}	%{buildroot}%{_initrddir}/%{name}
popd

%clean
rm -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%defattr(-,root,root)
%doc %{name}/ChangeLog %{name}/README %{name}/developer.txt
%{_sbindir}/%{name}
%{_sbindir}/%{name}_cli
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.accept
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.deny




%changelog
* Wed Oct 05 2011 Oden Eriksson <oeriksson@mandriva.com> 0.6.7-4.2mdv2010.2
- built for updates

* Tue Sep 27 2011 Alexander Barakin <abarakin@mandriva.org> 0.6.7-4.1mdv2010.1
+ Revision: 701470
- config updated (fix #64155)

* Fri Apr 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.7-4mdv2010.1
+ Revision: 533299
- rebuild for openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.7-3mdv2010.1
+ Revision: 511574
- rebuilt against openssl-0.9.8m

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.7-2mdv2010.0
+ Revision: 425150
- rebuild

* Tue Jan 27 2009 Michael Scherer <misc@mandriva.org> 0.6.7-1mdv2009.1
+ Revision: 333992
- add missing BuildRequires
- add ipv6 support for radius
- add NL80211 driver
- remove uneeded define in config, which prevent some driver to compile
- update to new version

* Mon Sep 01 2008 Olivier Blin <blino@mandriva.org> 0.6.4-1mdv2009.0
+ Revision: 278134
- 0.6.4

* Thu Aug 07 2008 Olivier Blin <blino@mandriva.org> 0.6.3-3mdv2009.0
+ Revision: 266132
- rebuild for latest madwifi-source

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6.3-2mdv2009.0
+ Revision: 221176
- rebuild

* Sat Mar 01 2008 Olivier Blin <blino@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 177404
- mac80211 is now in upstream kernel
- 0.6.3

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.5.8-3mdv2008.1
+ Revision: 170888
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.5.8-2mdv2008.1
+ Revision: 150257
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Fri Jun 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.5.8-1mdv2008.0
+ Revision: 42853
- new release 0.5.8, rebuild with updated devicescape source

* Fri Apr 20 2007 Olivier Blin <blino@mandriva.org> 0.5.7-1mdv2008.0
+ Revision: 15759
- 0.5.7


* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:35:51 (60195)
- build madwifi driver

* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:05:40 (60191)
- build devicescape driver (#25156)

* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:01:51 (60190)
- 0.5.5

* Tue Sep 05 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-05 23:56:00 (60184)
- bunzip sources and patches

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-04 14:06:58 (59767)
- Import hostapd

* Sun Jan 08 2006 Pascal Terjan <pterjan@mandriva.org> 0:0.4.7-1mdk
- 0.4.7

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-3mdk
- rebuilt against openssl-0.9.8a

* Sun Sep 25 2005 David Walluck <walluck@mandriva.org> 0:0.4.4-2mdk
- fix CC and CFLAGS

* Sat Sep 24 2005 David Walluck <walluck@mandriva.org> 0:0.4.4-1mdk
- 0.4.4
- fix URL
- fix rpm-helper requires

* Fri Mar 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.7-2mdk
- add BuildRequires: libopenssl-devel

* Wed Mar 09 2005 Laurent Culioli <laurent@mandrake.org> 0.3.7-1mdk
- 0.3.7

* Tue Aug 10 2004 Laurent Culioli <laurent@mandrake.org> 0.2.4-1mdk
- 0.2.4
- make initscript

